Bug 182714 - Drawing artifacts on main panel
Drawing artifacts on main panel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 03:43 EST by Russell Strong
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 08:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photo of drawing artifacts (49.52 KB, image/jpeg)
2006-02-24 03:43 EST, Russell Strong
no flags Details
xorg.conf (3.16 KB, text/plain)
2006-02-25 21:45 EST, Russell Strong
no flags Details
Xorg.0.log (46.59 KB, text/plain)
2006-02-25 21:47 EST, Russell Strong
no flags Details
red lines in the panel (6.13 KB, image/png)
2006-03-04 18:43 EST, Thorsten Scherf
no flags Details
log file (40.32 KB, text/plain)
2006-03-04 18:43 EST, Thorsten Scherf
no flags Details

  None (edit)
Description Russell Strong 2006-02-24 03:43:27 EST
Description of problem:
The main panel has drawing artifacts, see attached file.  I also had green bands
across the screen during the first boot.  They are not there on subsequent
boots.  Unfortunately I don't have an image of those.

Version-Release number of selected component (if applicable):
I'm not sure what component to blame.  I'm picking xorg.

How reproducible:
Log into gnome

Steps to Reproduce:
1.
2.
3.
  
Actual results:
See attachment

Expected results:
I doubt the photo is expected

Additional info:
Comment 1 Russell Strong 2006-02-24 03:43:27 EST
Created attachment 125164 [details]
Photo of drawing artifacts
Comment 2 Russell Strong 2006-02-24 03:47:57 EST
Oops, sorry I forgot some important details.
01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce Go 6600]
(rev a2)
Toshiba Tecra S2 laptop
Noticed the following in the Xorg.0.log
(II) NV(0): Initializing int10
(WW) NV(0): Bad V_BIOS checksum
(II) NV(0): Primary V_BIOS segment is: 0xc000
(--) NV(0): Chipset: "GeForce Go 6600"
(**) NV(0): Depth 24, (--) framebuffer bpp 32
(==) NV(0): RGB weight 888
(==) NV(0): Default visual is TrueColor


Also I don't have any trouble with FC4
Comment 3 Mike A. Harris 2006-02-25 13:25:24 EST
Attach your X server log and config file as individual uncompressed file
attachments using the link below.

Please try the following to help diagnose the issue, by putting the following
option in the device section of xorg.conf:

    Option "noaccel"

Update the bug report with the requested files and results of your testing.

Thanks in advance.
Comment 4 Russell Strong 2006-02-25 21:45:48 EST
Created attachment 125266 [details]
xorg.conf

Still has the noaccel option set
Comment 5 Russell Strong 2006-02-25 21:47:06 EST
Created attachment 125267 [details]
Xorg.0.log
Comment 6 Russell Strong 2006-02-25 21:51:16 EST
The noaccel option had no effect, except to slow things down a lot.  The
aftifacts remain.
Comment 7 Thorsten Scherf 2006-03-04 18:41:39 EST
I have nearly the same behaviour. There are some red drawing lines in the panel.
See the attached screenshot.

using the latest xorg-x11 rawhide packages and this:

01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Radeon Mobility M300]
Comment 8 Thorsten Scherf 2006-03-04 18:43:07 EST
Created attachment 125650 [details]
red lines in the panel
Comment 9 Thorsten Scherf 2006-03-04 18:43:53 EST
Created attachment 125651 [details]
log file
Comment 10 Mike A. Harris 2006-06-14 11:26:37 EDT
Our bugzilla database had a catastrophic failure on June 13, 2006
which lost all bug changes from Thurs June 9th through 13th.  I have
bugzilla email records of the time period however, and will be
restoring as many changes as I can manually.


Comment 11 Mike A. Harris 2006-06-14 11:26:57 EDT
Russell,

After reviewing the report and the attached logs, if the noaccel option
did not have any effect, that may point to a deeper issue.  Please
switch to the "vesa" driver, reboot and attempt to reproduce the problem
again.

If the issue is reproduceable with "vesa" this could point to a generic
problem in the X server itself, rather than the video driver.  If however
the vesa driver is unable to reproduce it, it is probably a video driver
bug.


Thorsten,

Since you are using different video hardware, it is preferred to treat
it as a separate unrelated issue for now, even if it sounds like the
same problem.  You should file a separate bug report for your hardware,
and we will track that issue separately.  Later, if it turns out that
they are both the same issue, we can always close one bug as a duplicate
of the other.  If they are not the same issue however, by tracking them
in separate bug reports, the comments from one problem avoid cluttering
the bug report and causing confusion.  Thanks in advance.



Comment 12 Mike A. Harris 2006-06-14 11:27:19 EDT
------- Additional Comments From rstrong@bigpond.net.au  2006-06-10 21:22 EST
-------
Hi,

I've installed from the aiglx repository to get a more updated i810 driver ( one
that would recognise my graphics card (945GM))...  I tried selecting the VESA
driver but there where problems:

(EE) module ABI major version (0) doesn't match the server's version (1)
(II) UnloadModule: "vesa"
(II) Unloading /usr/lib/xorg/modules/drivers/vesa_drv.so

Not sure how to revert from this position back to the "core" xorg.

However, I haven't had any problems since installing from aiglx repo.
Comment 13 Mike A. Harris 2006-06-14 11:27:43 EDT
------- Additional Comments From rstrong@bigpond.net.au  2006-06-10 21:29 EST
-------
My last post was not that clear.  Just to recap:

The original problem was with the VESA driver.  The i810 driver did not
recognise my graphics chip ( too new ).  I then installed from the aiglx repo,
which contains a later i810 driver to be able use something other than vesa.  I
haven't had any problems after this change.

Not sure how to revert to "core" xorg for retesting.  Is it easy?

Comment 14 Mike A. Harris 2006-06-14 11:31:07 EDT
(In reply to comment #12)
> ------- Additional Comments From rstrong@bigpond.net.au  2006-06-10 21:22 EST
> -------
> Hi,
> 
> I've installed from the aiglx repository to get a more updated i810 driver ( one
> that would recognise my graphics card (945GM))...  I tried selecting the VESA
> driver but there where problems:
> 
> (EE) module ABI major version (0) doesn't match the server's version (1)
> (II) UnloadModule: "vesa"
> (II) Unloading /usr/lib/xorg/modules/drivers/vesa_drv.so
> 
> Not sure how to revert from this position back to the "core" xorg.
> 
> However, I haven't had any problems since installing from aiglx repo.

You can not mix Xorg releases, you must use all X packages from the
same X release.  You have part of FC5's X11R7.0 installed, and part
of the aiglx repository (which is ancient and outdated now, and should
not be used at all) installed, which are incompatible with each other.

The best thing to do, is to either restore FC5, or to upgrade to all
X packages (and their dependencies) from rawhide.  If you need help
upgrading/downgrading anything, fedora-test-list@redhat.com might
be able to help.

Hope this helps.
Comment 15 Matthew Miller 2007-04-06 15:26:35 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 16 Matěj Cepl 2007-06-21 08:43:14 EDT
Closing as INSUFFICIENT_DATA since there was no activity on this bug for a long
time. If you have anything to add to this bug, please, reopen with additional
information.

Note You need to log in before you can comment on or make changes to this bug.